linux: 3.2.0-54.82 -proposed tracker

Bug #1223490 reported by Steve Conklin on 2013-09-10
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Certification-testing
Medium
Brendan Donegan
Prepare-package
Medium
Steve Conklin
Prepare-package-lbm
Medium
Steve Conklin
Prepare-package-meta
Medium
Steve Conklin
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Para Siva
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Undecided
Unassigned
Precise
Medium
Unassigned

Bug Description

This bug is for tracking the 3.2.0-54.82 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 10. September 2013 17:51 UTC
kernel-stable-Prepare-package-end:Wednesday, 11. September 2013 00:08 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 11. September 2013 00:08 UTC
kernel-stable-Promote-to-proposed-end:Wednesday, 11. September 2013 04:03 UTC
kernel-stable-Verification-testing-start:Wednesday, 11. September 2013 07:03 UTC
kernel-stable-Verification-testing-end:Monday, 23. September 2013 15:02 UTC
kernel-stable-Certification-testing-start:Monday, 23. September 2013 15:02 UTC
kernel-stable-Security-signoff-start:Monday, 23. September 2013 15:02 UTC
kernel-stable-Regression-testing-start:Monday, 23. September 2013 15:02 UTC
kernel-stable-Regression-testing-end:Tuesday, 24. September 2013 22:03 UTC
kernel-stable-Security-signoff-end:Wednesday, 25. September 2013 00:02 UTC
kernel-stable-Promote-to-updates-start:Thursday, 26. September 2013 22:02 UTC
kernel-stable-Certification-testing-end:Thursday, 26. September 2013 22:02 UTC
kernel-stable-Promote-to-updates-end:Friday, 27. September 2013 10:03 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Friday, 27. September 2013 12:05 UTC

Steve Conklin (sconklin) on 2013-09-10
tags: added: kernel-release-tracking-bug
tags: added: precise
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Precise):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 1223607
linux-armadaxp - bug 1223609
linux-lowlatency - bug 1223612

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed and overrides adjusted.

Brad Figg (brad-figg) on 2013-09-11
description: updated
Brad Figg (brad-figg) on 2013-09-11
description: updated
Brad Figg (brad-figg) on 2013-09-23
description: updated
Para Siva (psivaa) on 2013-09-24
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2013-09-24
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2013-09-25
description: updated

Hardware Certification have begun testing this -proposed kernel.

Hardware Certification have completed testing this -proposed kernek. No regressions were observed and results are available here: http://people.canonical.com/~hwcert/sru-testing/precise/3.2.0-54.82/precise-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2013-09-26
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.2.0-54.82

---------------
linux (3.2.0-54.82) precise; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1223490

  [ Upstream Kernel Changes ]

  * Revert "zram: use zram->lock to protect zram_free_page() in swap free
    notify path"
    - LP: #1215513
  * x86 thermal: Delete power-limit-notification console messages
    - LP: #1215748
  * x86 thermal: Disable power limit notification interrupt by default
    - LP: #1215748
  * ARM: 7810/1: perf: Fix array out of bounds access in
    armpmu_map_hw_event()
    - LP: #1216442
    - CVE-2013-4254
  * ARM: 7809/1: perf: fix event validation for software group leaders
    - LP: #1216442
    - CVE-2013-4254
  * xfs: fix _xfs_buf_find oops on blocks beyond the filesystem end
    - LP: #1151527
    - CVE-2013-1819
  * cifs: don't instantiate new dentries in readdir for inodes that need to
    be revalidated immediately
    - LP: #1222442
 -- Steve Conklin <email address hidden> Tue, 10 Sep 2013 12:54:53 -0500

Changed in linux (Ubuntu Precise):
status: New → Fix Released
Brad Figg (brad-figg) on 2013-09-27
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers